Subject: bug#10677: [Chris Leyon] Re: bug#10677: 24.0.93; missing pathmax.h on Solaris

From: Chris Leyon <[email-masked]>
Date: Sun, 5 Feb 2012 18:22:51 -0500

On Wed, Feb 1, 2012 at 23:52, Paul Eggert <[email-masked]> wrote:
> On 02/01/2012 10:43 AM, Chris Leyon wrote:
>> autoconf gave an error about a
>> "possibly undefined macro" for the new symbol gl_PATHMAX.
>
> These symptoms suggest that autoconf was run without
> aclocal -I m4 being run beforehand.  Or perhaps a buggy
> set of autotools was used; I would not trust the old tools
> shipped with Solaris 10.

It is true I did not run aclocal beforehand, I merely ran autoconf
again.  I had installed and was using automake 1.11.3 and autoconf
2.68.

> Chris, can you please run the distribution tarball that
> I just generated from the latest trunk (bzr 107054)?
> I just now did this on a Solaris 10 host, and it
> worked for me; please see the attached shell transcript.
> If it doesn't work for you, please run the same commands
> and compare your transcript to mine.
>
> If INT_MAX > PTRDIFF_MAX, there's something very wrong with the setup,
> and it's a good thing alloc.c caught it.  I expect the above procedure
> will help us narrow the problem down.

On the code from your new tarball I downloaded, the compilation
produces the same error about INT_MAX > PTRDIFF_MAX as before.  I
suspect these lines from the configure output are relevant:

checking for bit size of ptrdiff_t... unknown
checking for bit size of size_t... unknown
checking for bit size of sig_atomic_t... unknown
checking for bit size of wchar_t... unknown
checking for bit size of wint_t... unknown

I am attaching the full output log of the commands you requested.

Regards,
Chris